[v-cloak] {
  display: none;
}


.kc-none {
  text-align: center;
  margin: 50px auto;
}

.kc-spinner {
  padding: 50px 0;
}

.kc-l-c2 {
  display: -webkit-box;
  overflow: hidden;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
}

.kc-l-c1 {
  display: -webkit-box;
  overflow: hidden;
  -webkit-line-clamp: 1;
  -webkit-box-orient: vertical;
}

/* API以外のcss */

/* hover */
.kc-link:hover .kc-btn {
  border-color: #418fdc;
  color: #418fdc;
}

/* hover */

/* 終了イベント */
/* .kc-card.endDateTime .kc-image::before {
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  content: "終了しました";
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  font-size: 22px;
  background-color: rgba(0, 0, 0, 0.3);
  color: #fff;
  z-index: 1;
}


@media screen and (max-width: 768px) {
  .kc-card.endDateTime .kc-image::before {
    font-size: 16px;
  }
} */
/* 終了イベント */

/* swiper */

#kcapp {
  flex-wrap: nowrap;
}

#kcapp .kc-swiper {
  width: 100%;
  position: relative;
  overflow: hidden;
}

#kcapp .swiper-wrapper {
  flex-wrap: nowrap;
  height: auto;
  margin: 0;
  padding: 0;
}




/* 前へ次へボタン */
#kcapp .swiper-button-prev,
#kcapp .swiper-button-next {
  position: absolute;
  width: 36px;
  height: 36px;
  box-shadow: 0 0 3.5px 0 rgb(0 0 0 / 32%);
  padding: 8px;
  border-radius: 50%;
  z-index: 10;
  background: rgba(255, 255, 255, 0.9);
  top: 102px;
}

#kcapp .swiper-button-prev {
  left: -8px;
}

#kcapp .swiper-button-next {
  right: -8px;
}

#kcapp .swiper-button-prev::after,
#kcapp .swiper-button-next::after {
  content: "";
  background-image: url(https://yh-taisei.net/wp/wp-content/themes/generatepress_child/kengaku_cloud/img/kc-arrow.png);
  background-size: cover;
  background-position: center;
  width: 100%;
  height: 100%;
}

#kcapp .swiper-button-prev::after {
  transform: rotate(180deg);
}

@media screen and (max-width: 750px) {

  #kcapp .swiper-button-prev,
  #kcapp .swiper-button-next {
    top: 130px;
  }
}






/* topページ */

.kc-content {
  position: relative;
  padding: 0 20px;
}

.kc-cards {
  display: flex;
  flex-wrap: wrap;
}

.kc-card {
  list-style: none;
}

.kc-link {
  color: #000;
}

.kc-image {
  position: relative;
  overflow: hidden;
}

.kc-image img {
  aspect-ratio: 4/3;
  object-fit: cover;
  width: 100%;
  height: auto;
  transition: transform 0.3s;
}

.kc-info {
  display: flex;
  flex-direction: column;
  padding-top: 4%;
}



.kc-tags {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  gap: .4em;
}

.kc-type,
.kc-format {
  font-size: 14px;
  line-height: 1;
  padding: .4em .6em;
  color: #fff;
  border: 1px solid #2a71b9;
  background-color: #fff;
}

.kc-type {
  background-color: #2a71b9;
}

.kc-format {
  color: #2a71b9;
}


.kc-name {
  font-size: 16px;
  font-weight: bold;
  line-height: 1.6;
  margin: .6em 0;
}

.kc-date-box,
.kc-address-box {
  text-align: left;
  display: flex;
  line-height: 2;
  gap: .6em;
}

.kc-address-box {
  margin-top: 2%;
}

.kc-date-text,
.kc-address-text {
  display: flex;
  align-items: center;
  white-space: nowrap;
  height: fit-content;
}


.kc-date,
.kc-address,
.kc-date-text,
.kc-address-text {
  font-size: 15px;
  line-height: 1.6;
}

.kc-btn {
  font-size: 14px;
  text-align: center;
  padding: 0.5em 1em;
  margin: 2em 0 0;
  border: 1px solid #2a71b9;
  color: #2a71b9;
  border-radius: 2px;
  transition: all 0.3s;
}


@media screen and (max-width: 750px) {
  .kc-content {
    padding: 0;
  }
}


/* allページ */
.kc-content.-all {
  max-width: 1300px;
  margin: 3rem auto 6rem;
}

.kc-cards.-all {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  width: 100%;
  gap: 40px;
  padding: 0;
  margin: 0;
}

@media screen and (max-width: 1024px) {
  .kc-cards.-all {
    grid-template-columns: repeat(2, 1fr);
  }


}

@media screen and (max-width: 750px) {
  .kc-cards.-all {
    grid-template-columns: repeat(1, 1fr);
  }
}